!function($) {
  $.fn.selectTab = function(options) {
    options = $.extend({}, $.fn.selectTab.defaultOptions, options);

    this.on('click.selectTab', function(event) {
      event.preventDefault();
      var $this = $(this)
        , tabDisp = options.tabDisp
        , panelDisp = options.panelDisp
        , slctAria = '#'+$this.attr(options.panelId)
        , $tablist = $this.parents('[role="tablist"]')
        , $tabArea = $(slctAria).parent()
      ;
      if($(slctAria).size() < 1) return false;
      $tablist.find('a').attr(tabDisp, false);
      $this.attr(tabDisp, true);
      $tabArea.children('[role=tabpanel]').not(slctAria).attr(panelDisp, true);
      $(slctAria).attr(panelDisp, false);
    });
  };

  $.fn.selectTab.defaultOptions = {
    tabDisp: 'aria-selected'
    , panelId: 'aria-controls'
    , panelDisp: 'aria-hidden'
  };
}(jQuery);

$(function(){
  $('[role=tab]').selectTab();
});
